[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.Loaded

Performs actions needed when LCL component streaming has been completed.

## Declaration

Source position: stdctrls.pp line 1243

`protected procedure TCustomButton.Loaded; override;`

## Description

Loaded is an overridden method used to perform actions needed when LCL component streaming has been completed.

Loaded calls the inherited method on entry. Loaded calls UpdateDefaultCancel to update the default and cancel controls on the parent form.

## See also

TCustomButton.UpdateDefaultCancel |  | Updates the Default and Cancel properties in the parent form.
TWinControl.Loaded |  | Performs actions when a component has been loaded during LCL streaming.